The bank offers businesses the option to save a customer's card information, with the customer's consent, to enable future payments without having to enter card details again.

To use this feature, the business should call the relevant method and provide the order identifier before redirecting the customer to the payment page upon order request. If the card payment is successful for the given order, the same identifier can be used for future orders.




### Header parameters



- `Authorization` — Basic <base64>, required


  `Bearer <jwt_token>`, where `jwt_token` is the token returned in the `access_token` parameter of the authentication method response.



- `Idempotency-Key` — UUID v4


  The Idempotency-Key parameter should be unique for each new API request.
  Subsequent requests to the same API endpoint with the same Idempotency-Key header will result in the server returning the same status code and response body as the initial request.
  This functionality is particularly useful to ensure consistent outcome in scenarios where network issues or retries may lead to duplicate requests.




### Path parameters


- `order_id` — string, required

  The order identifier is returned in response to the order request.


### Response



- `Http Status: ` — 202 ACCEPTED


  The request has been accepted.








**CURL**

```bash
curl -X PUT 'https://api.bog.ge/payments/v1/orders/:order_id/cards' \
-H 'Authorization: Bearer <token>'
```
